#See https://aka.ms/customizecontainer to learn how to customize your debug container and how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
WORKDIR /src
COPY ["Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost.csproj", "Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost/"]
COPY ["Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.Core/Otus.Teaching.Pcf.ReceivingFromPartner.Core.csproj", "Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.Core/"]
COPY ["Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess/Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess.csproj", "Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess/"]
COPY ["Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.Integration/Otus.Teaching.Pcf.ReceivingFromPartner.Integration.csproj", "Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.Integration/"]
RUN dotnet restore "Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost.csproj"
COPY . .
WORKDIR "/src/Otus.Teaching.Pcf.ReceivingFromPartner/Otus.Teaching.Pcf.ReceivingFromPartner.WebHost"
RUN dotnet build "Otus.Teaching.Pcf.ReceivingFromPartner.WebHost.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Otus.Teaching.Pcf.ReceivingFromPartner.WebHost.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Otus.Teaching.Pcf.ReceivingFromPartner.WebHost.dll"]